
module "msk-kafka-cluster" {
  source = "terraform-aws-modules/msk-kafka-cluster/aws"
  version = "2.5.0"
  broker_node_az_distribution = var.broker_node_az_distribution
  broker_node_client_subnets = var.broker_node_client_subnets
  broker_node_connectivity_info = var.broker_node_connectivity_info
  broker_node_instance_type = var.broker_node_instance_type
  broker_node_security_groups = var.broker_node_security_groups
  broker_node_storage_info = var.broker_node_storage_info
  client_authentication = var.client_authentication
  cloudwatch_log_group_kms_key_id = var.cloudwatch_log_group_kms_key_id
  cloudwatch_log_group_name = var.cloudwatch_log_group_name
  cloudwatch_log_group_retention_in_days = var.cloudwatch_log_group_retention_in_days
  cloudwatch_logs_enabled = var.cloudwatch_logs_enabled
  cluster_override_policy_documents = var.cluster_override_policy_documents
  cluster_policy_statements = var.cluster_policy_statements
  cluster_source_policy_documents = var.cluster_source_policy_documents
  configuration_arn = var.configuration_arn
  configuration_description = var.configuration_description
  configuration_name = var.configuration_name
  configuration_revision = var.configuration_revision
  configuration_server_properties = var.configuration_server_properties
  connect_custom_plugin_timeouts = var.connect_custom_plugin_timeouts
  connect_custom_plugins = var.connect_custom_plugins
  connect_worker_config_description = var.connect_worker_config_description
  connect_worker_config_name = var.connect_worker_config_name
  connect_worker_config_properties_file_content = var.connect_worker_config_properties_file_content
  create = var.create
  create_cloudwatch_log_group = var.create_cloudwatch_log_group
  create_cluster_policy = var.create_cluster_policy
  create_configuration = var.create_configuration
  create_connect_worker_configuration = var.create_connect_worker_configuration
  create_schema_registry = var.create_schema_registry
  create_scram_secret_association = var.create_scram_secret_association
  enable_storage_autoscaling = var.enable_storage_autoscaling
  encryption_at_rest_kms_key_arn = var.encryption_at_rest_kms_key_arn
  encryption_in_transit_client_broker = var.encryption_in_transit_client_broker
  encryption_in_transit_in_cluster = var.encryption_in_transit_in_cluster
  enhanced_monitoring = var.enhanced_monitoring
  firehose_delivery_stream = var.firehose_delivery_stream
  firehose_logs_enabled = var.firehose_logs_enabled
  jmx_exporter_enabled = var.jmx_exporter_enabled
  kafka_version = var.kafka_version
  name = var.name
  node_exporter_enabled = var.node_exporter_enabled
  number_of_broker_nodes = var.number_of_broker_nodes
  s3_logs_bucket = var.s3_logs_bucket
  s3_logs_enabled = var.s3_logs_enabled
  s3_logs_prefix = var.s3_logs_prefix
  scaling_max_capacity = var.scaling_max_capacity
  scaling_role_arn = var.scaling_role_arn
  scaling_target_value = var.scaling_target_value
  schema_registries = var.schema_registries
  schemas = var.schemas
  scram_secret_association_secret_arn_list = var.scram_secret_association_secret_arn_list
  storage_mode = var.storage_mode
  tags = var.tags
  timeouts = var.timeouts
  vpc_connections = var.vpc_connections
}
